## org.apache.myfaces.custom.navmenu.jscookmenu
Class HtmlJSCookMenuRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.custom.navmenu.jscookmenu.HtmlJSCookMenuRenderer

public class HtmlJSCookMenuRenderer
extends HtmlRenderer

Version:
  $Revision: 291893 $ $Date: 2005-09-27 06:27:25 -0400 (Tue, 27 Sep 2005) $
Author:
  Thomas Spiegl

Constructor Summary
`HtmlJSCookMenuRenderer()`

Method Summary
`void` `decode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` `encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` `encodeEnd(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`boolean` `getRendersChildren()`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, encodeBegin, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlJSCookMenuRenderer

    public HtmlJSCookMenuRenderer()

Method Detail

### decode

    public void decode(javax.faces.context.FacesContext context,
                       javax.faces.component.UIComponent component)

### getRendersChildren

    public boolean getRendersChildren()

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Overrides:
    `encodeChildren` in class `HtmlRenderer`
  Throws:
    `java.io.IOException`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext context,
                          javax.faces.component.UIComponent component)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`